## javax.persistence.metamodel
Enum Attribute.PersistentAttributeType

    java.lang.Object
      java.lang.Enum<Attribute.PersistentAttributeType>
          javax.persistence.metamodel.Attribute.PersistentAttributeType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Attribute.PersistentAttributeType>

Enclosing interface:
  Attribute<X,Y>

    public static enum Attribute.PersistentAttributeType

extends java.lang.Enum<Attribute.PersistentAttributeType>

Enum Constant Summary
`BASIC`
`ELEMENT_COLLECTION`
`EMBEDDED`
`MANY_TO_MANY`
`MANY_TO_ONE`
`ONE_TO_MANY`
`ONE_TO_ONE`

Method Summary
`static Attribute.PersistentAttributeType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Attribute.PersistentAttributeType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### MANY_TO_ONE

    public static final Attribute.PersistentAttributeType MANY_TO_ONE

### ONE_TO_ONE

    public static final Attribute.PersistentAttributeType ONE_TO_ONE

### BASIC

    public static final Attribute.PersistentAttributeType BASIC

### EMBEDDED

    public static final Attribute.PersistentAttributeType EMBEDDED

### MANY_TO_MANY

    public static final Attribute.PersistentAttributeType MANY_TO_MANY

### ONE_TO_MANY

    public static final Attribute.PersistentAttributeType ONE_TO_MANY

### ELEMENT_COLLECTION

    public static final Attribute.PersistentAttributeType ELEMENT_COLLECTION

Method Detail

### values

    public static Attribute.PersistentAttributeType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Attribute.PersistentAttributeType c : Attribute.PersistentAttributeType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Attribute.PersistentAttributeType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null